﻿/// <reference path="../Scripts/msls-1.0.0.js" />

window.myapp = msls.application;

(function (lightSwitchApplication) {

    var $Entity = msls.Entity,
        $DataService = msls.DataService,
        $DataWorkspace = msls.DataWorkspace,
        $defineEntity = msls._defineEntity,
        $defineDataService = msls._defineDataService,
        $defineDataWorkspace = msls._defineDataWorkspace,
        $DataServiceQuery = msls.DataServiceQuery,
        $toODataString = msls._toODataString;

    function Session(entitySet) {
        /// <summary>
        /// Represents the Session entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this session.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this session.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this session.
        /// </field>
        /// <field name="Title" type="String">
        /// Gets or sets the title for this session.
        /// </field>
        /// <field name="Description" type="String">
        /// Gets or sets the description for this session.
        /// </field>
        /// <field name="Level" type="msls.application.Level">
        /// Gets or sets the level for this session.
        /// </field>
        /// <field name="Room" type="msls.application.Room">
        /// Gets or sets the room for this session.
        /// </field>
        /// <field name="Speaker" type="msls.application.Speaker">
        /// Gets or sets the speaker for this session.
        /// </field>
        /// <field name="Timeslot" type="msls.application.Timeslot">
        /// Gets or sets the timeslot for this session.
        /// </field>
        /// <field name="Track" type="msls.application.Track">
        /// Gets or sets the track for this session.
        /// </field>
        /// <field name="Code" type="String">
        /// Gets or sets the code for this session.
        /// </field>
        /// <field name="SessionType" type="msls.application.SessionType">
        /// Gets or sets the sessionType for this session.
        /// </field>
        /// <field name="FavoredSession" type="msls.EntityCollection" elementType="msls.application.FavoriteSession">
        /// Gets the favoredSession for this session.
        /// </field>
        /// <field name="details" type="msls.application.Session.Details">
        /// Gets the details for this session.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Track(entitySet) {
        /// <summary>
        /// Represents the Track entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this track.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this track.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this track.
        /// </field>
        /// <field name="Name" type="String">
        /// Gets or sets the name for this track.
        /// </field>
        /// <field name="Description" type="String">
        /// Gets or sets the description for this track.
        /// </field>
        /// <field name="Sessions" type="msls.EntityCollection" elementType="msls.application.Session">
        /// Gets the sessions for this track.
        /// </field>
        /// <field name="Color" type="String">
        /// Gets or sets the color for this track.
        /// </field>
        /// <field name="details" type="msls.application.Track.Details">
        /// Gets the details for this track.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Room(entitySet) {
        /// <summary>
        /// Represents the Room entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this room.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this room.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this room.
        /// </field>
        /// <field name="Name" type="String">
        /// Gets or sets the name for this room.
        /// </field>
        /// <field name="Building" type="String">
        /// Gets or sets the building for this room.
        /// </field>
        /// <field name="Sessions" type="msls.EntityCollection" elementType="msls.application.Session">
        /// Gets the sessions for this room.
        /// </field>
        /// <field name="details" type="msls.application.Room.Details">
        /// Gets the details for this room.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Level(entitySet) {
        /// <summary>
        /// Represents the Level entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this level.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this level.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this level.
        /// </field>
        /// <field name="Name" type="String">
        /// Gets or sets the name for this level.
        /// </field>
        /// <field name="Sessions" type="msls.EntityCollection" elementType="msls.application.Session">
        /// Gets the sessions for this level.
        /// </field>
        /// <field name="details" type="msls.application.Level.Details">
        /// Gets the details for this level.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Timeslot(entitySet) {
        /// <summary>
        /// Represents the Timeslot entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this timeslot.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this timeslot.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this timeslot.
        /// </field>
        /// <field name="Name" type="String">
        /// Gets or sets the name for this timeslot.
        /// </field>
        /// <field name="StartTime" type="Date">
        /// Gets or sets the startTime for this timeslot.
        /// </field>
        /// <field name="EndTime" type="Date">
        /// Gets or sets the endTime for this timeslot.
        /// </field>
        /// <field name="Sessions" type="msls.EntityCollection" elementType="msls.application.Session">
        /// Gets the sessions for this timeslot.
        /// </field>
        /// <field name="details" type="msls.application.Timeslot.Details">
        /// Gets the details for this timeslot.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Speaker(entitySet) {
        /// <summary>
        /// Represents the Speaker entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this speaker.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this speaker.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this speaker.
        /// </field>
        /// <field name="FullName" type="String">
        /// Gets or sets the fullName for this speaker.
        /// </field>
        /// <field name="Company" type="String">
        /// Gets or sets the company for this speaker.
        /// </field>
        /// <field name="Title" type="String">
        /// Gets or sets the title for this speaker.
        /// </field>
        /// <field name="MoreInfoUrl" type="String">
        /// Gets or sets the moreInfoUrl for this speaker.
        /// </field>
        /// <field name="ImageUrl" type="String">
        /// Gets or sets the imageUrl for this speaker.
        /// </field>
        /// <field name="Bio" type="String">
        /// Gets or sets the bio for this speaker.
        /// </field>
        /// <field name="Sessions" type="msls.EntityCollection" elementType="msls.application.Session">
        /// Gets the sessions for this speaker.
        /// </field>
        /// <field name="details" type="msls.application.Speaker.Details">
        /// Gets the details for this speaker.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function SessionType(entitySet) {
        /// <summary>
        /// Represents the SessionType entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this sessionType.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this sessionType.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this sessionType.
        /// </field>
        /// <field name="Name" type="String">
        /// Gets or sets the name for this sessionType.
        /// </field>
        /// <field name="Description" type="String">
        /// Gets or sets the description for this sessionType.
        /// </field>
        /// <field name="Sessions" type="msls.EntityCollection" elementType="msls.application.Session">
        /// Gets the sessions for this sessionType.
        /// </field>
        /// <field name="details" type="msls.application.SessionType.Details">
        /// Gets the details for this sessionType.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function FavoriteSession(entitySet) {
        /// <summary>
        /// Represents the FavoriteSession entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this favoriteSession.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this favoriteSession.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this favoriteSession.
        /// </field>
        /// <field name="Session" type="msls.application.Session">
        /// Gets or sets the session for this favoriteSession.
        /// </field>
        /// <field name="User" type="String">
        /// Gets or sets the user for this favoriteSession.
        /// </field>
        /// <field name="details" type="msls.application.FavoriteSession.Details">
        /// Gets the details for this favoriteSession.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function ApplicationData(dataWorkspace) {
        /// <summary>
        /// Represents the ApplicationData data service.
        /// </summary>
        /// <param name="dataWorkspace" type="msls.DataWorkspace">
        /// The data workspace that created this data service.
        /// </param>
        /// <field name="Sessions" type="msls.EntitySet">
        /// Gets the Sessions entity set.
        /// </field>
        /// <field name="Tracks" type="msls.EntitySet">
        /// Gets the Tracks entity set.
        /// </field>
        /// <field name="Rooms" type="msls.EntitySet">
        /// Gets the Rooms entity set.
        /// </field>
        /// <field name="Levels" type="msls.EntitySet">
        /// Gets the Levels entity set.
        /// </field>
        /// <field name="Timeslots" type="msls.EntitySet">
        /// Gets the Timeslots entity set.
        /// </field>
        /// <field name="Speakers" type="msls.EntitySet">
        /// Gets the Speakers entity set.
        /// </field>
        /// <field name="SessionTypes" type="msls.EntitySet">
        /// Gets the SessionTypes entity set.
        /// </field>
        /// <field name="FavoriteSessions" type="msls.EntitySet">
        /// Gets the FavoriteSessions entity set.
        /// </field>
        /// <field name="details" type="msls.application.ApplicationData.Details">
        /// Gets the details for this data service.
        /// </field>
        $DataService.call(this, dataWorkspace);
    };
    function DataWorkspace() {
        /// <summary>
        /// Represents the data workspace.
        /// </summary>
        /// <field name="ApplicationData" type="msls.application.ApplicationData">
        /// Gets the ApplicationData data service.
        /// </field>
        /// <field name="details" type="msls.application.DataWorkspace.Details">
        /// Gets the details for this data workspace.
        /// </field>
        $DataWorkspace.call(this);
    };

    msls._addToNamespace("msls.application", {

        Session: $defineEntity(Session, [
            { name: "Id", type: Number },
            { name: "RowVersion", type: Array },
            { name: "Title", type: String },
            { name: "Description", type: String },
            { name: "Level", kind: "reference", type: Level },
            { name: "Room", kind: "reference", type: Room },
            { name: "Speaker", kind: "reference", type: Speaker },
            { name: "Timeslot", kind: "reference", type: Timeslot },
            { name: "Track", kind: "reference", type: Track },
            { name: "Code", type: String },
            { name: "SessionType", kind: "reference", type: SessionType },
            { name: "FavoredSession", kind: "collection", elementType: FavoriteSession }
        ]),

        Track: $defineEntity(Track, [
            { name: "Id", type: Number },
            { name: "RowVersion", type: Array },
            { name: "Name", type: String },
            { name: "Description", type: String },
            { name: "Sessions", kind: "collection", elementType: Session },
            { name: "Color", type: String }
        ]),

        Room: $defineEntity(Room, [
            { name: "Id", type: Number },
            { name: "RowVersion", type: Array },
            { name: "Name", type: String },
            { name: "Building", type: String },
            { name: "Sessions", kind: "collection", elementType: Session }
        ]),

        Level: $defineEntity(Level, [
            { name: "Id", type: Number },
            { name: "RowVersion", type: Array },
            { name: "Name", type: String },
            { name: "Sessions", kind: "collection", elementType: Session }
        ]),

        Timeslot: $defineEntity(Timeslot, [
            { name: "Id", type: Number },
            { name: "RowVersion", type: Array },
            { name: "Name", type: String },
            { name: "StartTime", type: Date },
            { name: "EndTime", type: Date },
            { name: "Sessions", kind: "collection", elementType: Session }
        ]),

        Speaker: $defineEntity(Speaker, [
            { name: "Id", type: Number },
            { name: "RowVersion", type: Array },
            { name: "FullName", type: String },
            { name: "Company", type: String },
            { name: "Title", type: String },
            { name: "MoreInfoUrl", type: String },
            { name: "ImageUrl", type: String },
            { name: "Bio", type: String },
            { name: "Sessions", kind: "collection", elementType: Session }
        ]),

        SessionType: $defineEntity(SessionType, [
            { name: "Id", type: Number },
            { name: "RowVersion", type: Array },
            { name: "Name", type: String },
            { name: "Description", type: String },
            { name: "Sessions", kind: "collection", elementType: Session }
        ]),

        FavoriteSession: $defineEntity(FavoriteSession, [
            { name: "Id", type: Number },
            { name: "RowVersion", type: Array },
            { name: "Session", kind: "reference", type: Session },
            { name: "User", type: String }
        ]),

        ApplicationData: $defineDataService(ApplicationData, lightSwitchApplication.rootUri + "/ApplicationData.svc", [
            { name: "Sessions", elementType: Session },
            { name: "Tracks", elementType: Track },
            { name: "Rooms", elementType: Room },
            { name: "Levels", elementType: Level },
            { name: "Timeslots", elementType: Timeslot },
            { name: "Speakers", elementType: Speaker },
            { name: "SessionTypes", elementType: SessionType },
            { name: "FavoriteSessions", elementType: FavoriteSession }
        ], [
            {
                name: "Sessions_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.Sessions },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/Sessions(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Tracks_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.Tracks },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/Tracks(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Rooms_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.Rooms },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/Rooms(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Levels_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.Levels },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/Levels(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Timeslots_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.Timeslots },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/Timeslots(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Speakers_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.Speakers },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/Speakers(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "SessionTypes_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.SessionTypes },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/SessionTypes(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "NextSessions", value: function () {
                    return new $DataServiceQuery({ _entitySet: this.Sessions },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/NextSessions()",
                        {
                        });
                }
            },
            {
                name: "FavoriteSessions_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.FavoriteSessions },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/FavoriteSessions(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "FindFavoriteSessions", value: function (SessionId) {
                    return new $DataServiceQuery({ _entitySet: this.FavoriteSessions },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/FindFavoriteSessions()",
                        {
                            SessionId: $toODataString(SessionId, "Int32?")
                        });
                }
            }
        ]),

        DataWorkspace: $defineDataWorkspace(DataWorkspace, [
            { name: "ApplicationData", type: ApplicationData }
        ])

    });

}(msls.application));
