﻿Imports System.Linq.Expressions
Imports Microsoft.SharePoint.Client

Namespace LightSwitchApplication

    Public Class ApplicationDataService

        Private Sub NextSessions_PreprocessQuery(ByRef query As System.Linq.IQueryable(Of LightSwitchApplication.Session))
            Dim now As DateTime = DateTime.Now
            Dim nextTimeSlot As Timeslot
            Dim slotId As Integer = -1

            now = New DateTime(2013, 5, 16, 14, 0, 1) 'This line for demo purposes only.  
            'It conveniently brings Michael's l! :-)

            nextTimeSlot = (From timeslot In Me.Timeslots Where timeslot.StartTime > now Select timeslot).OrderBy(Function(t) t.StartTime).FirstOrDefault()
            If nextTimeSlot IsNot Nothing Then
                slotId = nextTimeSlot.Id
            End If

            query = From session In query Where session.Timeslot.Id = slotId Select session

        End Sub

        Private Sub FavoriteSessions_Inserting(entity As FavoriteSession)
            entity.User = Application.User.FullName
        End Sub

        Private Sub FavoriteSessions_Filter(ByRef filter As System.Linq.Expressions.Expression(Of System.Func(Of FavoriteSession, Boolean)))
            ' filter = Function(e) e.IntegerProperty = 0
            Filter = Function(f) f.User = Application.User.FullName
        End Sub

        Private Sub Sessions_Inserting(entity As Session)
            Me.UpdateSchedule(entity)
        End Sub

        Private Sub Sessions_Inserted(entity As Session)
            Me.LogAuditEntry(entity, "inserted")
        End Sub

        Private Sub Sessions_Updated(entity As Session)
            Me.LogAuditEntry(entity, "updated")
            Me.UpdateSchedule(entity)
        End Sub

        Private Sub Sessions_Deleted(entity As Session)
            Me.LogAuditEntry(entity, "deleted")
        End Sub

        Private Sub LogAuditEntry(entity As Session, actionDescription As String)

            Using ctx = Me.Application.SharePoint.GetAppWebClientContext()
                Dim web As Web = ctx.Web
                Dim lists As ListCollection = web.Lists
                Dim auditLog As List = lists.GetByTitle("AuditList")
                Dim ci As New ListItemCreationInformation()
                Dim auditEntry As ListItem = auditLog.AddItem(ci)

                auditEntry("Title") = String.Format("Session {0} {1}",
                                                    actionDescription,
                                                    entity.Title)

                auditEntry("Name") = Application.User.FullName
                auditEntry("Date") = DateTime.Now

                auditEntry.Update()
                ctx.ExecuteQuery()
            End Using
        End Sub

        Private Sub UpdateSchedule(entity As Session)
            If entity.Timeslot IsNot Nothing AndAlso entity.Room IsNot Nothing Then

                If entity.ConferenceSchedule Is Nothing Then
                    entity.ConferenceSchedule = New ConferenceSchedule()
                End If

                entity.ConferenceSchedule.Title = entity.Title
                entity.ConferenceSchedule.Description = entity.Description
                entity.ConferenceSchedule.StartTime = entity.Timeslot.StartTime
                entity.ConferenceSchedule.EndTime = entity.Timeslot.EndTime
                entity.ConferenceSchedule.Location = entity.Room.Name

                Me.DataWorkspace.VSliveData.SaveChanges()
            End If

        End Sub

       
       
       
    End Class

End Namespace
