﻿/// <reference path="viewModel.js" />

(function (lightSwitchApplication) {

    var $parameters = [document.createElement("div"), msls.ContentItem];

    msls._addEntryPoints(lightSwitchApplication.Home, {
        /// <field>
        /// Called when a new Home screen is created.
        /// <br/>created(msls.application.Home screen)
        /// </field>
        created: [lightSwitchApplication.Home],
        /// <field>
        /// Called before changes on an active Home screen are applied.
        /// <br/>beforeApplyChanges(msls.application.Home screen)
        /// </field>
        beforeApplyChanges: [lightSwitchApplication.Home],
        /// <field>
        /// Called to determine if the BrowseByTrack_ItemTap method can be executed.
        /// <br/>canExecute(msls.application.Home screen)
        /// </field>
        BrowseByTrack_ItemTap_canExecute: [lightSwitchApplication.Home],
        /// <field>
        /// Called to execute the BrowseByTrack_ItemTap method.
        /// <br/>execute(msls.application.Home screen)
        /// </field>
        BrowseByTrack_ItemTap_execute: [lightSwitchApplication.Home],
        /// <field>
        /// Called after the Home content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Home_postRender: $parameters,
        /// <field>
        /// Called after the NextSessions content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        NextSessions_postRender: $parameters,
        /// <field>
        /// Called after the NextSessionsTemplate content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        NextSessionsTemplate_postRender: $parameters,
        /// <field>
        /// Called after the SessionSpeaker content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        SessionSpeaker_postRender: $parameters,
        /// <field>
        /// Called after the ImageUrl content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        ImageUrl_postRender: $parameters,
        /// <field>
        /// Called after the SessionDetail content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        SessionDetail_postRender: $parameters,
        /// <field>
        /// Called after the Title1 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Title1_postRender: $parameters,
        /// <field>
        /// Called after the FullName content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        FullName_postRender: $parameters,
        /// <field>
        /// Called after the Company content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Company_postRender: $parameters,
        /// <field>
        /// Called after the Group content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Group_postRender: $parameters,
        /// <field>
        /// Called after the Timeslot2 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Timeslot2_postRender: $parameters,
        /// <field>
        /// Called after the Level1 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Level1_postRender: $parameters,
        /// <field>
        /// Called after the Group1 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Group1_postRender: $parameters,
        /// <field>
        /// Called after the Room2 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Room2_postRender: $parameters,
        /// <field>
        /// Called after the Name content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Name_postRender: $parameters,
        /// <field>
        /// Called after the BrowseByTrack content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        BrowseByTrack_postRender: $parameters,
        /// <field>
        /// Called after the TracksTemplate content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        TracksTemplate_postRender: $parameters,
        /// <field>
        /// Called to render the Color content item.
        /// <br/>render(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Color_render: $parameters,
        /// <field>
        /// Called after the Name1 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Name1_postRender: $parameters,
        /// <field>
        /// Called after the Favorites content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Favorites_postRender: $parameters,
        /// <field>
        /// Called after the FavoriteSessions content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        FavoriteSessions_postRender: $parameters,
        /// <field>
        /// Called after the FavoriteSessionsTemplate content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        FavoriteSessionsTemplate_postRender: $parameters,
        /// <field>
        /// Called after the Timeslot4 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Timeslot4_postRender: $parameters,
        /// <field>
        /// Called after the Title2 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Title2_postRender: $parameters,
        /// <field>
        /// Called after the AllSessions content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        AllSessions_postRender: $parameters,
        /// <field>
        /// Called after the Session content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Session_postRender: $parameters,
        /// <field>
        /// Called after the RowTemplate content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        RowTemplate_postRender: $parameters,
        /// <field>
        /// Called after the SessionFilter content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        SessionFilter_postRender: $parameters,
        /// <field>
        /// Called after the FilterByRoom content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        FilterByRoom_postRender: $parameters,
        /// <field>
        /// Called after the Room1 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Room1_postRender: $parameters,
        /// <field>
        /// Called after the FilterBySpeaker content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        FilterBySpeaker_postRender: $parameters,
        /// <field>
        /// Called after the Speaker1 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Speaker1_postRender: $parameters,
        /// <field>
        /// Called after the FilterByTimeSlot content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        FilterByTimeSlot_postRender: $parameters,
        /// <field>
        /// Called after the Timeslot1 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Timeslot1_postRender: $parameters,
        /// <field>
        /// Called after the FilterByTrack content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        FilterByTrack_postRender: $parameters,
        /// <field>
        /// Called after the Track1 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Track1_postRender: $parameters
    });

    msls._addEntryPoints(lightSwitchApplication.ViewSession, {
        /// <field>
        /// Called when a new ViewSession screen is created.
        /// <br/>created(msls.application.ViewSession screen)
        /// </field>
        created: [lightSwitchApplication.ViewSession],
        /// <field>
        /// Called before changes on an active ViewSession screen are applied.
        /// <br/>beforeApplyChanges(msls.application.ViewSession screen)
        /// </field>
        beforeApplyChanges: [lightSwitchApplication.ViewSession],
        /// <field>
        /// Called to determine if the Favorite method can be executed.
        /// <br/>canExecute(msls.application.ViewSession screen)
        /// </field>
        Favorite_canExecute: [lightSwitchApplication.ViewSession],
        /// <field>
        /// Called to execute the Favorite method.
        /// <br/>execute(msls.application.ViewSession screen)
        /// </field>
        Favorite_execute: [lightSwitchApplication.ViewSession],
        /// <field>
        /// Called to determine if the Unfavorite method can be executed.
        /// <br/>canExecute(msls.application.ViewSession screen)
        /// </field>
        Unfavorite_canExecute: [lightSwitchApplication.ViewSession],
        /// <field>
        /// Called to execute the Unfavorite method.
        /// <br/>execute(msls.application.ViewSession screen)
        /// </field>
        Unfavorite_execute: [lightSwitchApplication.ViewSession],
        /// <field>
        /// Called after the Details content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Details_postRender: $parameters,
        /// <field>
        /// Called after the Description content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Description_postRender: $parameters,
        /// <field>
        /// Called after the columns content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        columns_postRender: $parameters,
        /// <field>
        /// Called after the left content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        left_postRender: $parameters,
        /// <field>
        /// Called after the Level content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Level_postRender: $parameters,
        /// <field>
        /// Called after the Room content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Room_postRender: $parameters,
        /// <field>
        /// Called after the Code content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Code_postRender: $parameters,
        /// <field>
        /// Called after the right content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        right_postRender: $parameters,
        /// <field>
        /// Called after the SessionType content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        SessionType_postRender: $parameters,
        /// <field>
        /// Called after the Timeslot content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Timeslot_postRender: $parameters,
        /// <field>
        /// Called after the Track content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Track_postRender: $parameters,
        /// <field>
        /// Called after the SpeakerDetails content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        SpeakerDetails_postRender: $parameters,
        /// <field>
        /// Called after the Group3 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Group3_postRender: $parameters,
        /// <field>
        /// Called after the Group content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Group_postRender: $parameters,
        /// <field>
        /// Called after the ImageUrl content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        ImageUrl_postRender: $parameters,
        /// <field>
        /// Called to render the MoreInfoUrl content item.
        /// <br/>render(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        MoreInfoUrl_render: $parameters,
        /// <field>
        /// Called after the Group1 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Group1_postRender: $parameters,
        /// <field>
        /// Called after the Group2 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Group2_postRender: $parameters,
        /// <field>
        /// Called after the FullName content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        FullName_postRender: $parameters,
        /// <field>
        /// Called after the Company content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Company_postRender: $parameters,
        /// <field>
        /// Called after the Title1 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Title1_postRender: $parameters,
        /// <field>
        /// Called after the Bio content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Bio_postRender: $parameters
    });

    msls._addEntryPoints(lightSwitchApplication.AddSession, {
        /// <field>
        /// Called when a new AddSession screen is created.
        /// <br/>created(msls.application.AddSession screen)
        /// </field>
        created: [lightSwitchApplication.AddSession],
        /// <field>
        /// Called before changes on an active AddSession screen are applied.
        /// <br/>beforeApplyChanges(msls.application.AddSession screen)
        /// </field>
        beforeApplyChanges: [lightSwitchApplication.AddSession],
        /// <field>
        /// Called after the Details content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Details_postRender: $parameters,
        /// <field>
        /// Called after the columns content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        columns_postRender: $parameters,
        /// <field>
        /// Called after the left content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        left_postRender: $parameters,
        /// <field>
        /// Called after the Title content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Title_postRender: $parameters,
        /// <field>
        /// Called after the Description content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Description_postRender: $parameters,
        /// <field>
        /// Called after the Level content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Level_postRender: $parameters,
        /// <field>
        /// Called after the RowTemplate content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        RowTemplate_postRender: $parameters,
        /// <field>
        /// Called after the Room content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Room_postRender: $parameters,
        /// <field>
        /// Called after the RowTemplate1 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        RowTemplate1_postRender: $parameters,
        /// <field>
        /// Called after the Speaker content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Speaker_postRender: $parameters,
        /// <field>
        /// Called after the RowTemplate2 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        RowTemplate2_postRender: $parameters,
        /// <field>
        /// Called after the Timeslot content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Timeslot_postRender: $parameters,
        /// <field>
        /// Called after the RowTemplate3 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        RowTemplate3_postRender: $parameters,
        /// <field>
        /// Called after the right content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        right_postRender: $parameters,
        /// <field>
        /// Called after the Track content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Track_postRender: $parameters,
        /// <field>
        /// Called after the RowTemplate4 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        RowTemplate4_postRender: $parameters,
        /// <field>
        /// Called after the Code content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Code_postRender: $parameters,
        /// <field>
        /// Called after the SessionType content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        SessionType_postRender: $parameters,
        /// <field>
        /// Called after the RowTemplate5 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        RowTemplate5_postRender: $parameters
    });

}(msls.application));
